=== debian/changelog ===
megahit (1.2.9-6) unstable; urgency=medium

  * Fix build with CMake 4
    Closes: #1113276
  * d/watch: version=5
  * Standards-Version: 4.7.2 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 20 Oct 2025 16:00:25 +0200

megahit (1.2.9-5) unstable; urgency=medium

  * Team Upload.
  * Add patch to fix FTBFS with gcc-13 (Closes: #1054672)
  * Bump Standards-Version to 4.6.2 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 04 Nov 2023 22:39:56 +0530

megahit (1.2.9-4) unstable; urgency=medium

  * Disable reprotest
  * Do not attempt to build i386 in salsa-ci since package is explicitly amd64
  * Fix watch file
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 16 Nov 2022 21:39:57 +0100

megahit (1.2.9-3) unstable; urgency=medium

  [ Steffen Moeller ]
  * Fix watchfile to detect new versions on github (routine-update)

  [ Andreas Tille ]
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 10 Sep 2021 09:44:13 +0200

megahit (1.2.9-2) unstable; urgency=medium

  * Architecture: any-amd64
    Closes: #972977
  * debhelper-compat 13 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 26 Oct 2020 22:10:26 +0100

megahit (1.2.9-1) unstable; urgency=medium

  * Initial release (Closes: #944029)

 -- Andreas Tille <tille@debian.org>  Mon, 11 May 2020 15:08:47 +0200
