=== debian/control ===
Source: megahit
Standards-Version: 4.7.2
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders:
 Shayan Doust <hello@shayandoust.me>,
 Andreas Tille <tille@debian.org>,
Section: science
Priority: optional
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 zlib1g-dev,
Vcs-Browser: https://salsa.debian.org/med-team/megahit
Vcs-Git: https://salsa.debian.org/med-team/megahit.git
Homepage: https://github.com/voutcn/megahit
Rules-Requires-Root: no

Package: megahit
Architecture: any-amd64
Depends:
 bzip2,
 python3-all,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: ultra-fast and memory-efficient meta-genome assembler
 Megahit is an ultra-fast and memory-efficient NGS assembler. It is
 optimized for metagenomes, but also works well on generic single genome
 assembly (small or mammalian size) and single-cell assembly.
 .
 The software was praised in a Briefings in Bioinformatics 5/2020
 review (DOI: 10.1093/bib/bbaa085).
