=== debian/watch ===
Version: 5

Template: Github
Owner: voutcn
Project: megahit
