## megahit 1.2.9+dfsg

=== debian/changelog ===
megahit (1.2.9+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.2.9+dfsg, only repacking to exclude embedded copy
    of parallel_hashmap (Closes: #1088028)
  * Raising Standards version to 4.7.3:
    - Removing Priority: optional, which is default
    - Removing R-R-R: no, which is default
  * Repacking to exclude embedded copy of parallel_hashmap, refreshing
    d/copyright accordingly
  * Patching code to build against parallel_hashmap in Debian

 -- Pierre Gruet <pgt@debian.org>  Tue, 23 Dec 2025 22:49:03 +0100
