=== debian/control ===
--- 
+++ 
@@ -1,21 +1,20 @@
 Source: megahit
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders:
  Shayan Doust <hello@shayandoust.me>,
  Andreas Tille <tille@debian.org>,
 Section: science
-Priority: optional
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
  dh-sequence-python3,
+ libparallel-hashmap-dev,
  python3-all,
  zlib1g-dev,
 Vcs-Browser: https://salsa.debian.org/med-team/megahit
 Vcs-Git: https://salsa.debian.org/med-team/megahit.git
 Homepage: https://github.com/voutcn/megahit
-Rules-Requires-Root: no
 
 Package: megahit
 Architecture: any-amd64
