=== debian/watch ===
Version: 5

Template: Github
Owner: voutcn
Project: megahit
Compression: xz
Dversionmangle: auto
Repack: yes
Repacksuffix: +dfsg
